#include "refine.h"
#include "protein.h"
#include "string.h"

using namespace REFINE_NS;

int main(int argc, char **argv)
{
    if (argc!=2)
    {
	    printf("RW potential calculation\n");
	    printf("Usage: calRWplus pro.pdb\n");
        return 1;
    }

	REFINE_NS::REFINE *refine = new REFINE_NS::REFINE(argc, argv);
	refine->protein->read_pdb(argv[1]);
	double rw = refine->protein->calculate_rw();
	double scb = refine->protein->calculate_scb();
	printf("RW potential = %f kcal/mol\n", rw + 0.1 * scb);
    return 0;
}
