#include "refine.h"
#include "string.h"
#include "memory.h"
#include "error.h"
#include "protein.h"
#include "remc.h"

using namespace REFINE_NS;

/* ----------------------------------------------------------------------
   start up RefinePro
   allocate fundamental classes (memory, error,  input)
   parse input switches
------------------------------------------------------------------------- */

REFINE_NS::REFINE::REFINE(int narg, char **arg)
{
  memory = new Memory(this);
  error = new Error(this);
  //input = new Input(this,narg,arg);
  
  //fprintf(stderr,"RefinePro1.0\n");
  // allocate top-level classes
  
  create();

}

/* ----------------------------------------------------------------------
   shutdown RefinePro
   delete top-level classes
   delete fundamental classes
------------------------------------------------------------------------- */

REFINE::~REFINE()
{
  destroy();
  //delete input;
  delete error;
  delete memory;
}

/* ----------------------------------------------------------------------
   allocate single instance of top-level classes
   fundamental classes are allocated in constructor
------------------------------------------------------------------------- */

void REFINE::create()
{
  protein = new Protein(this);
  //remc = new REMC(this);
}

/* ----------------------------------------------------------------------
   initialize top-level classes
------------------------------------------------------------------------- */

void REFINE::init()
{
  protein->init();
  //remc->init();
}

/* ----------------------------------------------------------------------
   delete single instance of top-level classes
   fundamental classes are deleted in destructor
------------------------------------------------------------------------- */

void REFINE::destroy()
{
  //delete remc;
  delete protein;
}
